import Checkbox from '..';
import React from 'react';
import ReactDOM from 'react-dom';
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            value: 'orange',
        };
        this.onChange = value => {
            this.setState({
                value,
            });
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("span", { style: { fontSize: 14 } },
                React.createElement("label", { id: "groupId" }, "Choose fruit: ")),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Checkbox.Group, { value: this.state.value, onChange: this.onChange, "aria-labelledby": "groupId" },
                React.createElement(Checkbox, { id: "apple", value: "apple" }, "Apple"),
                React.createElement(Checkbox, { id: "watermelon", value: "watermelon" }, "Watermelon"),
                React.createElement(Checkbox, { id: "orange", value: "orange" }, "Orange"))));
    }
}
ReactDOM.render(React.createElement(App, null), document.getElementById('checkbox-demo-5'));
